namespace WpfApp3.Operations
{
    public abstract class Operation
    {
        public abstract string LongDescription { get; }
        public abstract string ShortDescription { get; }
        private readonly RuleOperator ruleOperator;

        protected Operation(RuleOperator ruleOperator)
        {
            this.ruleOperator = ruleOperator;
        }

        public RuleOperator RuleOperator => ruleOperator;
    }
}