﻿using System.Collections.ObjectModel;
using System.Linq;

namespace WpfApp3
{
    public class ValidationRuleManagementViewModel : ObservableObject
    {
        private ObservableCollection<ValidationRuleViewModel> rules = new ObservableCollection<ValidationRuleViewModel>();
        public ObservableCollection<ValidationRuleViewModel> Rules
        {
            get { return rules; }
            set
            {
                rules = value;
                OnPropertyChanged(nameof(Rules));
            }
        }


        private ValidationRuleViewModel selectedRule;
        public ValidationRuleViewModel SelectedRule
        {
            get { return selectedRule; }
            set
            {
                selectedRule = value;
                OnPropertyChanged(nameof(SelectedRule));
            }
        }

        public ValidationRuleManagementViewModel()
        {
            Rules.Add(new ValidationRuleViewModel());
            SelectedRule = Rules.First();
        }
    }
}
